Package org.apache.lucene.store

## Interface RandomAccessInput

- All Known Implementing Classes:
    `BufferedIndexInput`, `ByteBufferIndexInput`, `ByteBuffersDataInput`, `ByteBuffersIndexInput`

      public interface RandomAccessInput

  Random Access Index API. Unlike `IndexInput`, this has no concept of file position, all reads are absolute. However, like IndexInput, it is only intended for use by a single thread.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `length()` | The number of bytes in the file.
    `byte` | `readByte​(long pos)` | Reads a byte at the given position in the file
    `int` | `readInt​(long pos)` | Reads an integer (LE byte order) at the given position in the file
    `long` | `readLong​(long pos)` | Reads a long (LE byte order) at the given position in the file
    `short` | `readShort​(long pos)` | Reads a short (LE byte order) at the given position in the file

- - ### Method Detail

    - #### length

          long length()

      The number of bytes in the file.

    - #### readByte

          byte readByte​(long pos)
                 throws IOException

      Reads a byte at the given position in the file
      Throws:
        `IOException`
      See Also:
        `DataInput.readByte()`

    - #### readShort

          short readShort​(long pos)
                   throws IOException

      Reads a short (LE byte order) at the given position in the file
      Throws:
        `IOException`
      See Also:
        `DataInput.readShort()`, `BitUtil.VH_LE_SHORT`

    - #### readInt

          int readInt​(long pos)
               throws IOException

      Reads an integer (LE byte order) at the given position in the file
      Throws:
        `IOException`
      See Also:
        `DataInput.readInt()`, `BitUtil.VH_LE_INT`

    - #### readLong

          long readLong​(long pos)
                 throws IOException

      Reads a long (LE byte order) at the given position in the file
      Throws:
        `IOException`
      See Also:
        `DataInput.readLong()`, `BitUtil.VH_LE_LONG`